{{page-title "Register"}}
<div class="input-dialog">
  <div class="input-dialog-head">
    <h3>Sign Up</h3>
  </div>
  <form {{action "submitForm" on="submit"}}>
    <div class="form-group">
      <label for="name">Name</label>
      <input type="text" class="form-control" name="name" id="name" aria-describedby="name" placeholder="Enter Name"
             required>
    </div>
    <div class="form-group">
      <label for="email">Email address</label>
      <input type="email" class="form-control" name="email" id="email" aria-describedby="email"
             placeholder="Enter Email"  required>
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <input type="password" class="form-control" name="password" id="password" placeholder="Enter Password"  required>
    </div>
    <div class="form-group">
      <label for="phone">Phone</label>
      <input type="number" class="form-control" name="phone" id="phone" aria-describedby="phone"
             placeholder="Enter Phone"  required>
    </div>
    <div class="form-group">
      <label for="gender">Gender</label>
      <select class="form-control" id="gender" name="gender" required>
        <option value="">Select a Gender</option>
        <option value="Male">Male</option>
        <option value="Female">Female</option>
        <option value="Other">Other</option>
      </select>
    </div>
    <div class="form-group">
      <label for="account_type">Account Type</label>
      <select class="form-control" id="account_type" name="account_type" required>
        <option value="">Select an Account Type</option>
        <option value="Savings">Savings</option>
        <option value="Current">Current</option>
      </select>
    </div>
    <div class="text-center">
      <button type="submit" class="btn btn-primary">Sign Up</button>
    </div>
    <div class="form-group mt-3">
      Already have an account? <LinkTo @route="login">Sign In</LinkTo>
    </div>
  </form>
</div>
{{outlet}}